import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const activateReturnedRequest = createAsyncThunk(
  "ACTIVATE_RETURNED_REQUEST",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put(
        "return-province-kill-requests/",
        {
          key: d.key,
          trash: false,
          return_trash: false,
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response?.data?.result || e.message };
    }
  }
);
